<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white"
    android:orientation="vertical"
    tools:context=".preview.FindSomeActivity">
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="45dp"
        android:orientation="horizontal">
        <RelativeLayout
            android:id="@+id/rlSearch"
            android:layout_width="0dp"
            android:layout_weight="1"
            android:layout_height="40dp"
            android:layout_marginStart="20dp"
            android:background="@drawable/every_out_stroke"
            android:gravity="center"
            android:layout_gravity="center">
            <ImageView
                android:id="@+id/imgSearch"
                android:layout_width="20dp"
                android:layout_height="20dp"
                android:src="@drawable/find_some_ic"
                app:tint="@color/text_tint"
                android:layout_centerVertical="true"
                android:layout_marginStart="10dp"/>
            <EditText
                android:id="@+id/editText"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_toEndOf="@+id/imgSearch"
                android:textSize="15sp"
                android:imeOptions="actionSearch"
                android:background="@null"
                android:maxLines="1"
                android:inputType="text"
                android:layout_marginEnd="60dp"
                android:textColorHint="@color/text_normal"
                android:layout_marginStart="10dp"
                android:hint="@string/input_name_or_keyword"/>
            <TextView
                android:id="@+id/tvStart"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:padding="5sp"
                android:text="@string/search"
                android:textSize="16sp"
                android:visibility="gone"
                android:layout_centerVertical="true"
                android:layout_alignParentEnd="true"
                android:layout_marginEnd="10dp"
                android:textColor="@color/black"
                />
        </RelativeLayout>
        <ImageView
            android:id="@+id/imageBack"
            android:layout_width="45dp"
            android:layout_height="45dp"
            android:layout_gravity="center"
            android:padding="13dp"
            android:src="@drawable/close_return"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            android:layout_marginEnd="10dp"
            app:tint="@color/black" />
    </LinearLayout>

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginTop="10dp"
        android:layout_marginHorizontal="20dp">
        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/list"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="5dp"
            android:layout_marginHorizontal="5dp" />

        <LinearLayout
            android:id="@+id/empty_layout"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true"
            android:gravity="center"
            android:orientation="vertical"
            android:visibility="gone">

            <ImageView
                android:layout_width="100dp"
                android:layout_height="100dp"
                android:src="@drawable/kongshuju" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="12dp"
                android:text="@string/no_data_found"
                android:textColor="#000000" />
        </LinearLayout>
        <ProgressBar
            android:id="@+id/searchPb"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true"
            android:indeterminateTint="@color/text_tint"
            android:visibility="gone" />
    </RelativeLayout>

</LinearLayout>